routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'language'], function () {
    Route::get('/', 'InterpreterController@index');

    Route::resources(['translator' => 'InterpreterController']);

    Auth::routes();

    Route::get('/home', 'HomeController@index')->name('home');
});


Route::get('language/{locale}', 'LanguageSwitcherController@switcher')
    ->name('language.switcher')->where('locale', 'en|ru');

app/Interpreter.php
<?php

namespace App;

use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;

class Interpreter extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['paragraph'];

    protected $fillable = ['user_id'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}

app/InterpreterTranslation.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class InterpreterTranslation extends Model
{
    public $timestamps = false;

    protected $fillable = ['paragraph'];
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function interpreter()
    {
        return $this->hasMany(Interpreter::class);
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/InterpreterController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\InterpreterRequest;
use App\Interpreter;
use Illuminate\Http\Request;

class InterpreterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $locale = $request->session()->get('locale');
        $paragraphs = Interpreter::all();

        return view('paragraph.index', compact('paragraphs', 'locale'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param InterpreterRequest $request
     * @return \Illuminate\Http\Response
     */
    public function store(InterpreterRequest $request)
    {
        $paragraph = new Interpreter();

        $locale = $request->session()->get('locale');

        $paragraph->translateOrNew($locale)->paragraph = $request->get('paragraph');
        $paragraph->user_id = $request->user()->id;
        $paragraph->save();
        return redirect(route('translator.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $translate = Interpreter::findOrFail($id);
        return view('paragraph.show', compact('translate'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }


    /**
     * @param Request $request
     * @param Interpreter $translate
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function update(Request $request, $id)
    {
        $locale = $request->session()->get('locale');
        $translate = Interpreter::findOrFail($id);
        $translate->update($request->all());
        return view('paragraph.show', compact('translate', 'locale'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/LanguageSwitcherController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class LanguageSwitcherController extends Controller
{
    public function switcher(Request $request, string $locale)
    {
        $request->session()->put('locale', $locale);
        return back();
    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    {{ __('You are logged in!') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Translator') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Translator') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <select class="custom-select" onchange="location = this.value;">
                            <option @if (session('locale') == 'en') selected @endif value="{{route('language.switcher', 'en')}}">
                                EN
                            </option>
                            <option @if (session('locale') == 'ru') selected @endif value="{{route('language.switcher', 'ru')}}">
                                RU
                            </option>
                        </select>
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="container">

            @if ($errors->any())
                <div class="alert alert-danger mt-3">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/paragraph/index.blade.php
@extends('layouts.app')

@section('content')


    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="{{route('translator.store')}}" method="post">
                <div class="modal-body">
                    @csrf
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control" name="paragraph" placeholder="@lang('sentence')">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">@lang('Add')</button>
                </div>
                </form>
            </div>
        </div>
    </div>

    <div class="row mt-4">
        <h3>@lang('Translate')</h3>
    @if(Auth::check())
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary ml-3" data-toggle="modal" data-target="#exampleModal">
            @lang('Add sentence')
        </button>
    @endif
    </div>
    <div class="row mt-3">
        @if($locale)
        @foreach($paragraphs as $paragraph)
            <a href="{{route('translator.show', ['translator' => $paragraph])}}" class="card-link"><p class="text-truncate">{{ $paragraph->paragraph }}</p></a>
        @endforeach
        @endif
    </div>

@endsection

resources/views/paragraph/show.blade.php
@extends('layouts.app')

@section('content')
    <div class="row mt-4">
        <a class="btn btn-primary" href="{{route('translator.index')}}" role="button">@lang('Back')</a>
    </div>
    <div class="mt-4">
        <h3>{{$translate->paragraph}}</h3>
        @if('')
        <h4>{{$translate->translate('en')->paragraph}}</h4>
        @else
            {{$translate->translate('ru')->paragraph}}
        @endif
        <hr class="my-4">
        <form action="{{route('translator.update', ['translator' => $translate])}}" method="post">
            @csrf
            @method('PUT')
            <h5>@lang('Translate to English')</h5>
            <input type="text" name="paragraph:en" />

            <h5>@lang('Translate to Russian')</h5>
            <input type="text" name="paragraph:ru" />

            <h5>@lang('Translate into French')</h5>
            <input type="text" name="paragraph:fr" />

            <h5>@lang('Translate into Italian')</h5>
            <input type="text" name="paragraph:it" />

            <h5>@lang('Translate into German')</h5>
            <input type="text" name="paragraph:de" />
            <button type="submit" class="btn btn-primary">@lang('Add')</button>
        </form>

    </div>
@endsection